Subject: [MMUSIC] Example correct? (draft-schwarz-mmusic-sdp-offer-answer-examples-00.txt); RE: [Sip-implementors] Revised SDP O/A; RE: codec negotiation

From: "Schwarz Albrecht" <[email-masked]>
Date: Fri, 31 Jul 2009 15:23:08 +0200

http://www.ietf.org/internet-drafts/draft-schwarz-mmusic-sdp-offer-answer-examples-00.txt

Dear SDP Offer/Answer experts!

Our draft provides an example in § 4.4.1.3, using the new SDP syntax according revised SDP O/A:
"SDP Capability Negotiation", draft-ietf-mmusic-sdp-capability-negotiation  
"SDP media capabilities Negotiation", draft-ietf-mmusic-sdp-media-capabilities

Before progressing our draft we would appreciate any feedback, comments by the SDP O/A experts.

Thanks,
Albrecht

___________________

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: Session Description Protocol (SDP) - Revised Offer/Answer Protocol (SDPCapNeg & MediaCapNeg) - Offer/Answer Examples

	Author(s)	: A. Schwarz, J. Stoetzer-Bradler
	Filename	: draft-schwarz-mmusic-sdp-offer-answer-examples-00.txt
	Pages		: 15
	Date		: 2009-7-31
	
This document gives examples of Session Description Protocol (SDP)
   offer/answer exchanges. The SDP offer/answer protocol was revised by
   [SDPCapNeg] and [MediaCapNeg] plus other extensions.  Examples
   include the indication, negotiation and selection of media
   configurations ("codecs"). This document discusses examples of IP
   bearer emulation scenarios for PSTN modem calls in SIP-controlled
   VoIP networks.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-schwarz-mmusic-sdp-offer-answer-examples-00.txt

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On 
> Behalf Of Schwarz Albrecht
> Sent: Dienstag, 14. Juli 2009 16:37
> To: Manoj Priyankara [TG]; Abhinesh Patil; 
> [email-masked]
> Subject: [Sip-implementors] Revised SDP O/A; RE: codec negotiation
> 
> Might be useful to look already in the revised SDP 
> Offer/Answer protocol (which extends RFC 3264):
> 
> 
> SDP Capability Negotiation (204109 bytes) 
> http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-capa
> bility-neg
> otiation-10.txt
> 
> SDP media capabilities Negotiation (99351 bytes) 
> http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-medi
> a-capabili
> ties-08.txt
> 
> -Albrecht
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On 
> Behalf Of 
> > Manoj Priyankara [TG]
> > Sent: Dienstag, 14. Juli 2009 07:37
> > To: Abhinesh Patil; [email-masked]
> > Subject: Re: [Sip-implementors] codec negotiation
> > 
> > Thanks sir !
> > 
> >  
> > 
> > ________________________________
> > 
> > From: Abhinesh Patil [mailto:[email-masked]]
> > Sent: Tuesday, July 14, 2009 11:16 AM
> > To: Manoj Priyankara [TG]; [email-masked]
> > Subject: RE: [Sip-implementors] codec negotiation
> > 
> >  
> > 
> > You can read - RFC 3264 an Offer/Answer Model with the Session 
> > Description Protocol (SDP)
> > 
> >  
> > 
> > Thanks and regards,
> > 
> >  
> > 
> > Abhinesh patil
> > 
> >  
> > 
> > Rancore Technologies(P) Ltd
> > 
> >  
> > 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On 
> Behalf Of 
> > Manoj Priyankara [TG]
> > Sent: Tuesday, July 14, 2009 10:56 AM
> > To: [email-masked]
> > Subject: [Sip-implementors] codec negotiation
> > 
> >  
> > 
> > Dear All,
> > 
> > Can somebody explain me how codec negotiation takes place in SIP? 
> > 
> > BR,
> > 
> > Manoj
> > 
> >  
> > 
> > _______________________________________________
> > 
> > Sip-implementors mailing list
> > 
> > [email-masked]
> > 
> > https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors
> > 
> > _______________________________________________
> > Sip-implementors mailing list
> > [email-masked]
> > https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors
> > 
> 
> _______________________________________________
> Sip-implementors mailing list
> [email-masked]
> https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors
>